﻿(function(){
    var aiList = getAllFiles(["*.ai", "*.eps"]);
    for(var i=0; i<aiList.length; i++){
        $.writeln(aiList[i].fullName);
        app.open(aiList[i]);
        var opt = new PDFSaveOptions();
        opt.trimMarks = false;	// トリムマークなし
        opt.compatibility = PDFCompatibility.ACROBAT8;  // Acrobat 8
        opt.generateThumbnails = false; // サムネールなし
        var saveFile = new File(aiList[i].fullName+".pdf");
        activeDocument.saveAs(saveFile, opt);
        app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
    }
})();
// File Library
function getAllFiles(fileTypes, basePath,options){
	options = options || {};
	if(!basePath){
		basePath = Folder.selectDialog("フォルダを選択してください");
		if (!basePath){ return; }	// キャンセルされた場合は処理しない
	}
	var allList = [];
	// パラメータが文字の場合
	if (typeof(fileTypes) == "string"){
		getFileList(new Folder(basePath), fileTypes);
		return toJapanese(allList, options.japanese);
	}
	// パラメータが配列の場合
	if (fileTypes.push){
		for(var i=0; i<fileTypes.length; i++){
			getFileList(new Folder(basePath), fileTypes[i]);
		}
		return toJapanese(allList, options.japanese);
	}
	function getFileList(currentFolder, fileType){
		var fileList = currentFolder.getFiles(fileType);
		var fileList2 = currentFolder.getFiles("*");	// Sub Folder
		allList = allList.concat(fileList);
		for(var i=0; i<fileList2.length; i++){
			if (fileList2[i].getFiles){
				if (fileList2[i].name.charAt(0) == "."){ continue; }
				getFileList(fileList2[i], fileType);	// フォルダがある限り繰り返し
			}
		}
	}
	// 日本語に変換(nameJ, fullNameJ)
	function toJapanese(fileList, flag){
		if (!flag){ return fileList; }
		for(var i=0; i<fileList.length; i++){
			fileList[i].nameJ = File.decode(fileList[i].name);
			fileList[i].fullNameJ = File.decode(fileList[i].fullName);
		}
		return fileList;
	}
}